#include <assert.h>
#include "x_err.hpp"
#include "compress.hpp"
#include "packet.hpp"
#include "unique.hpp"

const int		cMethod[MODE_LEN + MODE_LEN2] = {
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN,
  CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN, CM_RUN
};

Setup	setup;
